Skip to content
For LLMsView as Markdown·

List events for an entity ​

http
GET https://api.onehazel.com/operator-data-api/entities/{externalId}/events

Section: Data ingestion
Operation id: getOperatorDataApiEntitiesByExternalIdEvents

Authentication ​

Operator API key (Authorization: Bearer oh_live_...).

Parameters ​

NameInRequiredDescription
externalIdpathyes

Responses ​

200 { "success": true, "data": ... }

Errors return { "success": false, "error": { "code": "...", "message": "..." } } with a 4xx or 5xx status.

Example ​

bash
curl -X GET "https://api.onehazel.com/operator-data-api/entities/{externalId}/events" \
  -H "Authorization: Bearer oh_live_YOUR_API_KEY"

Machine-readable: openapi.yaml, openapi.json.